---
title: XPathEvaluator.createNSResolver()
slug: Web/API/XPathEvaluator/createNSResolver
tags:
  - API
  - DOM
  - DOM XPath API
  - Method
  - NeedsExample
  - Reference
  - XPath
  - XPathEvaluator
---
<div>{{APIRef("DOM XPath")}}</div>

<p>This method adapts any DOM node to resolve namespaces so that an XPath expression can be easily evaluated relative to the context of the node where it appeared within the document.</p>

<p>This adapter works like the DOM Level 3 method {{domxref("Node.lookupNamespaceURI", "Node.lookupNamespaceURI()")}} in resolving the namespace URI from a given prefix using the current information available in the node's hierarchy at the time the method is called, also correctly resolving the implicit <code>xml</code> prefix.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>XPathNSResolver</var> <var>XPathEvaluator</var>.createNSResolver(<var>nodeResolver</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>nodeResolver</dt>
 <dd>A {{domxref("Node")}} to be used as a context for namespace resolution.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An {{domxref("XPathNSResolver")}} object which resolves namespaces with respect to the definitions in scope for a specified node.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 XPath", "xpath.html#XPathEvaluator-createNSResolver", "XPathEvaluator.createNSResolver()")}}</td>
   <td>{{Spec2("DOM3 XPath")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XPathEvaluator.createNSResolver")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("Document.createNSResolver()")}}</li>
 <li>{{DOMxRef("XPathExpression")}}</li>
</ul>
